#387 Issues with VLC 2.0.5 video as wallpaper background feature

v2.0b1
open
nobody
None
1
2013-02-12
2013-02-06
Stephen Parry
No

1) background VLC session is always closed, regardless of settings, when you try to step to the next slide, rendering the feature useless.
2) --direct3d-desktop is no longer supported in VLC 2.0.5 - workaround: remove manually
3) --fullscreen (as added by OS to command line) is broken in recent VLC and prevents correct positioning on second screen. Workaround: add --no-fullscreen to params
4) --align=2 is required to get wallpaper video to align correctly on second screen.
The latter issues are problems with the crumbling code base that is VLC. It might be worth putting settings in the configuration to give finer control, otherwise you'll be chasing a moving target forever.

Related

Bugs: #387

Discussion

  • Vwout
    Vwout
    2013-02-11

    Thanks a lot for this feedback.
    Addendum: the --align=2 can also be added to the preset params in the translation file as '--align=%d'

    Question: which version of OpenSong was used, latest beta?

     
  • Stephen Parry
    Stephen Parry
    2013-02-12

    The latest available on the site as of 7 days ago - 2.0.1 beta according
    to the splash screen; 2010r5.1 according to the about box.

    The %d would not be appropriate; the 2 in --align=2 is not a display
    number. It is a position number. 2 means right hand edge vertically
    centred. If you leave this off VLC centres the video across all
    displays(!). Where is the translation file please?

    On 11/02/2013 20:37, Vwout wrote:

    Thanks a lot for this feedback.
    Addendum: the --align=2 can also be added to the preset params in the translation file as '--align=%d'

    Question: which version of OpenSong was used, latest beta?


    [bugs:#387] Issues with VLC 2.0.5 video as wallpaper background feature

    Status: open
    Created: Wed Feb 06, 2013 04:45 PM UTC by Stephen Parry
    Last Updated: Mon Feb 11, 2013 08:36 PM UTC
    Owner: nobody

    1) background VLC session is always closed, regardless of settings, when you try to step to the next slide, rendering the feature useless.
    2) --direct3d-desktop is no longer supported in VLC 2.0.5 - workaround: remove manually
    3) --fullscreen (as added by OS to command line) is broken in recent VLC and prevents correct positioning on second screen. Workaround: add --no-fullscreen to params
    4) --align=2 is required to get wallpaper video to align correctly on second screen.
    The latter issues are problems with the crumbling code base that is VLC. It might be worth putting settings in the configuration to give finer control, otherwise you'll be chasing a moving target forever.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/opensong/bugs/387/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #387

  • Vwout
    Vwout
    2013-02-12

    Issue 1 (VLC always being closed) is confirmed. I will solve that.

    The translation files is not the perfect place to store the parameters for VLC, but at least it allows for binding the parameters and the given name together. The translation files are in the OpenSong installation sub directory named 'OpenSong Languages'. Open any file e.g. English and look for 'videolan_preset_list'.

    According to e.g. http://wiki.videolan.org/VLC_command-line_help '--fullscreen' is a valid option. Could it be that it is just broken in v2.0.5?

     
  • Stephen Parry
    Stephen Parry
    2013-02-12

    --fullscreen has been broken since somewhere in 1.1.8. I've had a bug
    posted (https://trac.videolan.org/vlc/ticket/4620) for nearly two years
    but the VLC team can be enormously reluctant to fix anything they
    don't see as top priority. They can be very very arrogant and just plain
    rude. They're not a great advert for the French. Since then the
    functionality has actually got worse. Notably the basic --video-x
    --video-y, --width and --height have now acquired further quirks (i.e. 0
    is no longer treated as zero, it's treated the way -1 should be meaning
    automatic; if you leave any of those params on auto (0 or -1), it treats
    them all as auto, giving the bug a double whammy)
    .
    I'm getting myself set up on the developer mailing list for VLC and
    setting up a dev environment so that I can submit patches (I've already
    go one patch to submit) - but the process is involved. You have to
    develop on Linux and cross compile.

    On 12/02/2013 07:05, Vwout wrote:

    Issue 1 (VLC always being closed) is confirmed. I will solve that.

    The translation files is not the perfect place to store the parameters for VLC, but at least it allows for binding the parameters and the given name together. The translation files are in the OpenSong installation sub directory named 'OpenSong Languages'. Open any file e.g. English and look for 'videolan_preset_list'.

    According to e.g. http://wiki.videolan.org/VLC_command-line_help '--fullscreen' is a valid option. Could it be that it is just broken in v2.0.5?


    [bugs:#387] Issues with VLC 2.0.5 video as wallpaper background feature

    Status: open
    Created: Wed Feb 06, 2013 04:45 PM UTC by Stephen Parry
    Last Updated: Mon Feb 11, 2013 08:37 PM UTC
    Owner: nobody

    1) background VLC session is always closed, regardless of settings, when you try to step to the next slide, rendering the feature useless.
    2) --direct3d-desktop is no longer supported in VLC 2.0.5 - workaround: remove manually
    3) --fullscreen (as added by OS to command line) is broken in recent VLC and prevents correct positioning on second screen. Workaround: add --no-fullscreen to params
    4) --align=2 is required to get wallpaper video to align correctly on second screen.
    The latter issues are problems with the crumbling code base that is VLC. It might be worth putting settings in the configuration to give finer control, otherwise you'll be chasing a moving target forever.


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/opensong/bugs/387/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #387


  • Anonymous
    2013-02-12

    Is this something that manifests on all platforms, or Linux only?

    I developed the integration of VLC and OpenSong with recent version of
    VLC and I did get --fullscreen to operate as expected in combination
    with --video-y and --video-x. The values are set to screen.top+1 and
    screen.left+1 for the presentation screen, so -1 and 0 are circumvented.

    Stephen Parry schreef op 12-2-2013 12:58:

    --fullscreen has been broken since somewhere in 1.1.8. I've had a bug
    posted (https://trac.videolan.org/vlc/ticket/4620) for nearly two years
    but the VLC team can be enormously reluctant to fix anything /they/
    don't see as top priority. They can be very very arrogant and just plain
    rude. They're not a great advert for the French. Since then the
    functionality has actually got worse. Notably the basic --video-x
    --video-y, --width and --height have now acquired further quirks (i.e. 0
    is no longer treated as zero, it's treated the way -1 should be meaning
    automatic; if you leave any of those params on auto (0 or -1), it treats
    them /all/ as auto, giving the bug a double whammy)
    .
    I'm getting myself set up on the developer mailing list for VLC and
    setting up a dev environment so that I can submit patches (I've already
    go one patch to submit) - but the process is involved. You have to
    develop on Linux and cross compile.

    On 12/02/2013 07:05, Vwout wrote:

    Issue 1 (VLC always being closed) is confirmed. I will solve that.
    
    The translation files is not the perfect place to store the
    parameters for VLC, but at least it allows for binding the
    parameters and the given name together. The translation files are in
    the OpenSong installation sub directory named 'OpenSong Languages'.
    Open any file e.g. English and look for 'videolan_preset_list'.
    
    According to e.g. http://wiki.videolan.org/VLC_command-line_help
    '--fullscreen' is a valid option. Could it be that it is just broken
    in v2.0.5?
    
    ------------------------------------------------------------------------
    
    *[bugs:#387] <http://sourceforge.net/p/opensong/bugs/387/> Issues
    with VLC 2.0.5 video as wallpaper background feature*
    
    *Status:* open
    *Created:* Wed Feb 06, 2013 04:45 PM UTC by Stephen Parry
    *Last Updated:* Mon Feb 11, 2013 08:37 PM UTC
    *Owner:* nobody
    
    1) background VLC session is always closed, regardless of settings,
    when you try to step to the next slide, rendering the feature useless.
    2) --direct3d-desktop is no longer supported in VLC 2.0.5 -
    workaround: remove manually
    3) --fullscreen (as added by OS to command line) is broken in recent
    VLC and prevents correct positioning on second screen. Workaround:
    add --no-fullscreen to params
    4) --align=2 is required to get wallpaper video to align correctly
    on second screen.
    The latter issues are problems with the crumbling code base that is
    VLC. It might be worth putting settings in the configuration to give
    finer control, otherwise you'll be chasing a moving target /forever/.
    
    ------------------------------------------------------------------------
    
    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/opensong/bugs/387/
    
    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/
    

    [bugs:#387] http://sourceforge.net/p/opensong/bugs/387/ Issues with
    VLC 2.0.5 video as wallpaper background feature

    Status: open
    Created: Wed Feb 06, 2013 04:45 PM UTC by Stephen Parry
    Last Updated: Tue Feb 12, 2013 07:05 AM UTC
    Owner: nobody

    1) background VLC session is always closed, regardless of settings, when
    you try to step to the next slide, rendering the feature useless.
    2) --direct3d-desktop is no longer supported in VLC 2.0.5 - workaround:
    remove manually
    3) --fullscreen (as added by OS to command line) is broken in recent VLC
    and prevents correct positioning on second screen. Workaround: add
    --no-fullscreen to params
    4) --align=2 is required to get wallpaper video to align correctly on
    second screen.
    The latter issues are problems with the crumbling code base that is VLC.
    It might be worth putting settings in the configuration to give finer
    control, otherwise you'll be chasing a moving target /forever/.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/opensong/bugs/387/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/prefs/

     

    Related

    Bugs: #387


Anonymous


Cancel   Add attachments